/*------begin 03月31号 郭恩洲 新创建表 sys_mobile_banner*/
DROP TABLE IF EXISTS sys_mobile_banner;
CREATE TABLE sys_mobile_banner(
    id INT(11) NOT NULL AUTO_INCREMENT  COMMENT '主键ID' ,
    tenant_id INT(11) NOT NULL   COMMENT '租户ID' ,
    open_not INT(1)    COMMENT '是否开启banner;0、关闭 1、开启' ,
    carousel_time INT(5)    COMMENT '轮播时间(s)' ,
    banner_path1 VARCHAR(100)    COMMENT '轮播图路径1' ,
    banner_path2 VARCHAR(100)    COMMENT '轮播图路径2' ,
    banner_path3 VARCHAR(100)    COMMENT '轮播图路径3' ,
    banner_path4 VARCHAR(100)    COMMENT '轮播图路径4' ,
    banner_path5 VARCHAR(100)    COMMENT '轮播图路径5' ,
    link_type1 INT(1)    COMMENT '链接类型1;1、内链 2、外链' ,
    link_type2 INT(1)    COMMENT '链接类型2;1、内链 2、外链' ,
    link_type3 INT(1)    COMMENT '链接类型3;1、内链 2、外链' ,
    link_type4 INT(1)    COMMENT '链接类型4;1、内链 2、外链' ,
    link_type5 INT(1)    COMMENT '链接类型5;1、内链 2、外链' ,
    link_url1 VARCHAR(255)    COMMENT '链接地址1' ,
    link_url3 VARCHAR(255)    COMMENT '链接地址3' ,
    link_url4 VARCHAR(255)    COMMENT '链接地址4' ,
    link_url5 VARCHAR(255)    COMMENT '链接地址4' ,
    link_url2 VARCHAR(255)    COMMENT '链接地址2' ,
    create_by VARCHAR(64)    COMMENT '创建者' ,
    create_time DATETIME    COMMENT '创建时间' ,
    update_by VARCHAR(64)    COMMENT '更新者' ,
    update_time DATETIME    COMMENT '更新时间' ,
    PRIMARY KEY (id)
)  COMMENT = '移动端_banner图配置表';
/*------end 03月31号 郭恩洲 新创建表 sys_mobile_banner*/

/*------begin 05月07号 韩正义 新创建表 mce_content、mce_receive、mce_setting*/
DROP TABLE IF EXISTS mce_content;
CREATE TABLE `mce_content` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `info_title` varchar(200) DEFAULT NULL COMMENT '消息标题',
  `info_content` varchar(255) DEFAULT NULL COMMENT '消息内容',
  `info_type` varchar(100) DEFAULT NULL COMMENT '消息类型',
  `tenant_id` int(11) DEFAULT NULL COMMENT '租户号',
  `dept_id` int(11) DEFAULT NULL COMMENT '组织机构ID',
  `create_by` varchar(25) DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(25) DEFAULT NULL COMMENT '更新人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='消息内容表';

CREATE TABLE `mce_receive` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `receiver_id` int(11) DEFAULT NULL COMMENT '接收人ID',
  `receiver_name` varchar(30) DEFAULT NULL COMMENT '接收人',
  `info_type` varchar(100) DEFAULT NULL COMMENT '消息类型',
  `read_flag` int(1) DEFAULT NULL COMMENT '是否已读;0、未读，1、已读',
  `content_id` int(11) DEFAULT NULL COMMENT '消息内容ID',
  `module_id` int(11) DEFAULT NULL COMMENT '子模块记录ID',
  `tenant_id` int(11) DEFAULT NULL COMMENT '租户号',
  `dept_id` int(11) DEFAULT NULL COMMENT '组织机构ID',
  `create_by` varchar(25) DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(25) DEFAULT NULL COMMENT '更新人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='消息接收表';

CREATE TABLE `mce_setting` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `app_mode` varchar(500) DEFAULT NULL COMMENT 'APP通知方式',
  `pc_mode` varchar(500) DEFAULT NULL COMMENT 'PC端通知方式',
  `wc_mode` varchar(500) DEFAULT NULL COMMENT '微信端通知方式',
  `tenant_id` int(11) DEFAULT NULL COMMENT '租户号',
  `dept_id` int(11) DEFAULT NULL COMMENT '组织机构ID',
  `create_by` varchar(25) DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(25) DEFAULT NULL COMMENT '更新人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='消息设置表';
/*------end 05月07号 韩正义 新创建表 mce_content、mce_receive、mce_setting*/

/*------begin 05月29号 韩正义 新创建表 base_app_info*/
CREATE TABLE `base_app_info` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `device_id` varchar(50) DEFAULT NULL COMMENT '设备ID',
  `user_name` varchar(30) DEFAULT NULL COMMENT '用户账号',
  `device_model` varchar(50) DEFAULT NULL COMMENT '设备型号',
  `access_ip` varchar(50) DEFAULT NULL COMMENT '访问IP',
  `network_type` varchar(20) DEFAULT NULL COMMENT '网络类型',
  `network_service` text COMMENT '网络服务商',
  `operate_system` varchar(30) DEFAULT NULL COMMENT '操作系统',
  `longitude` varchar(30) DEFAULT NULL COMMENT '经度',
  `latitude` varchar(30) DEFAULT NULL COMMENT '纬度',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `update_by` varchar(25) DEFAULT NULL COMMENT '更新人',
  `create_by` varchar(25) DEFAULT NULL COMMENT '创建人',
  `dept_id` int(11) DEFAULT NULL COMMENT '组织机构ID',
  `tenant_id` int(11) DEFAULT NULL COMMENT '租户ID',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='APP用户心跳信息';
/*------end 05月29号 韩正义 新创建表 base_app_info*/

/*------begin 06月04号 韩正义 新创建表 pm_project、pm_work_report、pm_work_content*/
CREATE TABLE `pm_project`  (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '项目表主键ID',
  `project_name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '项目名称',
  `start_time` datetime NULL DEFAULT NULL COMMENT '项目开始时间',
  `end_time` datetime NULL DEFAULT NULL COMMENT '项目结束时间',
  `project_describe` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '项目描述',
  `project_type` int(1) NULL DEFAULT 0 COMMENT '项目类型(1：人力外包，2：项目研发，3：采购项目，4：过标项目，5：集成项目，6：其他)',
  `project_status` int(1) NULL DEFAULT 0 COMMENT '项目状态(1：未开始；2；进行中；3：已完成；4：已暂停；5：已作废)',
  `project_head` bigint(20) NULL DEFAULT NULL COMMENT '负责人',
  `project_member` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '项目成员',
  `project_workload` decimal(6, 2) NULL DEFAULT NULL COMMENT '项目工作量(计划人/天)',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `dept_id` bigint(20) NULL DEFAULT NULL COMMENT '部门ID',
  `tenant_id` int(11) NULL DEFAULT NULL COMMENT '租户ID',
  `del_flag` int(1) NULL DEFAULT 0 COMMENT '删除标识（默认0，已删除1）',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `project_head`(`project_head`) USING BTREE,
  CONSTRAINT `pm_project_ibfk_1` FOREIGN KEY (`project_head`) REFERENCES `sys_user` (`user_id`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '项目表' ROW_FORMAT = Dynamic;

CREATE TABLE `pm_work_report`  (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '工作报告表主键ID',
  `submitter_id` bigint(20) NULL DEFAULT NULL COMMENT '提交人ID',
  `report_date` date NULL DEFAULT NULL COMMENT '报告时间',
  `submit_date` datetime NULL DEFAULT NULL COMMENT '提交时间',
  `total_hours` decimal(10, 2) NULL DEFAULT NULL COMMENT '总工时',
  `cc_to` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '抄送人',
  `coordinate_work` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '工作协调',
  `tomorrow_plan` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '明日计划',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `dept_id` bigint(20) NULL DEFAULT NULL COMMENT '部门ID',
  `tenant_id` int(11) NULL DEFAULT NULL COMMENT '租户ID',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `submitter_id`(`submitter_id`) USING BTREE,
  CONSTRAINT `pm_work_report_ibfk_1` FOREIGN KEY (`submitter_id`) REFERENCES `sys_user` (`user_id`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '工作报告表' ROW_FORMAT = Dynamic;

CREATE TABLE `pm_work_content`  (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '工作内容表主键ID',
  `report_id` int(11) NULL DEFAULT NULL COMMENT '工作报告表主键ID',
  `project_id` int(11) NULL DEFAULT NULL COMMENT '项目ID',
  `project_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '项目名称',
  `submitter_id` bigint(20) NULL DEFAULT NULL COMMENT '提交人ID',
  `work_content` varchar(520) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '工作内容',
  `work_time` decimal(4, 2) NULL DEFAULT NULL COMMENT '工时',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `dept_id` bigint(20) NULL DEFAULT NULL COMMENT '部门ID',
  `tenant_id` int(11) NULL DEFAULT NULL COMMENT '租户ID',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `submitter_id`(`submitter_id`) USING BTREE,
  INDEX `report_id`(`report_id`) USING BTREE,
  INDEX `pm_work_content_ibfk_3`(`project_id`) USING BTREE,
  CONSTRAINT `pm_work_content_ibfk_1` FOREIGN KEY (`submitter_id`) REFERENCES `sys_user` (`user_id`) ON DELETE RESTRICT ON UPDATE RESTRICT,
  CONSTRAINT `pm_work_content_ibfk_2` FOREIGN KEY (`report_id`) REFERENCES `pm_work_report` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT,
  CONSTRAINT `pm_work_content_ibfk_3` FOREIGN KEY (`project_id`) REFERENCES `pm_project` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '工作内容表' ROW_FORMAT = Dynamic;
/*------end 06月04号 韩正义 新创建表 pm_project、pm_work_report、pm_work_content*/

/*------begin 06月14号 韩正义 新创建表 dmp_device_linkage*/
CREATE TABLE `dmp_device_linkage` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `device_id` varchar(50) NOT NULL COMMENT '设备ID;设备注册时系统自动生成一个唯一编号',
  `device_type` int(12) NOT NULL DEFAULT '0' COMMENT '设备类型（501、监控系统  502、门禁系统  503、梯控系统  504、机房系统  509、环境系统  510、照明系统）',
  `linkage_address` varchar(200) DEFAULT NULL COMMENT '联动地址',
  `group_id` int(12) DEFAULT NULL COMMENT '分组id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;
/*------end 06月14号 韩正义 新创建表 dmp_device_linkage*/

/*------begin 06月24号 韩正义 心跳表增加字段*/
ALTER TABLE `base_app_info` ADD COLUMN `device_status` INT(2) DEFAULT '0' COMMENT '设备状态（0 正常，1 故障）';
ALTER TABLE `base_app_info` ADD COLUMN `check_status` INT(2) DEFAULT '0' COMMENT '自检状态（0 未自检，1 自检）';
/*------end 06月24号 韩正义 心跳表增加字段*/

/*------begin 07月04号 韩正义 消息接收表增加字段*/
ALTER TABLE `mce_receive` ADD COLUMN `issuer_name` varchar(50) DEFAULT NULL COMMENT '发布人';
/*------end 07月04号 韩正义 消息接收表增加字段*/

/*------begin 07月09号 韩正义 工作报告表增加索引*/
ALTER TABLE pm_work_report ADD UNIQUE KEY user_report (submitter_id, report_date);
/*------end 07月09号 韩正义 工作报告表增加索引*/

/*------begin 07月11号 韩正义 创建报告接收表*/
DROP TABLE IF EXISTS pm_receive;
CREATE TABLE `pm_receive` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `receiver_id` bigint(20) DEFAULT NULL COMMENT '接收人ID',
  `receiver_name` varchar(30) DEFAULT NULL COMMENT '接收人',
  `report_id` int(11) DEFAULT NULL COMMENT '报告id',
  `read_flag` int(1) DEFAULT '0' COMMENT '是否已读;0、未读，1、已读',
  `tenant_id` int(11) DEFAULT NULL COMMENT '租户号',
  `dept_id` bigint(20) DEFAULT NULL COMMENT '组织机构ID',
  `create_by` varchar(25) DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(25) DEFAULT NULL COMMENT '更新人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`),
  KEY `pm_receive_ibfk_1` (`receiver_id`),
  KEY `pm_receive_ibfk_2` (`report_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='报告接收表';
/*------end 07月11号 韩正义 创建报告接收表*/

/*------begin 08月20号 韩正义 租户配置表增加字段*/
ALTER TABLE `sys_tenant_config` ADD COLUMN `middle_type` INT(1) DEFAULT '1' COMMENT '中间页显示类型：0 应用列表 1 菜单列表';
/*------end 08月20号 韩正义 租户配置表增加字段middle_type*/

/*------begin 08月01号 付宇川 工作报告表表增加字段*/
ALTER TABLE `pm_work_report`
ADD COLUMN `timing_time` datetime DEFAULT NULL COMMENT '定时时间';

ALTER TABLE `pm_work_report`
ADD COLUMN `report_status` tinyint(1) DEFAULT 1 COMMENT '报告状态（默认1; 0：保存状态；1：发送状态）';

ALTER TABLE `pm_work_report`
ADD COLUMN `is_regularly_send` tinyint(1) DEFAULT 0 COMMENT '是否定时（默认0; 0：否，1：是）';
/*------end 08月01号 付宇川 工作报告表表增加字段*/

/*------begin 08月07号 詹叶俊 帮助中心建议反馈表*/
DROP TABLE IF EXISTS hce_review;
CREATE TABLE `hce_review` (
  `id` INT(12) NOT NULL AUTO_INCREMENT COMMENT '主键id',
  `user_name` VARCHAR(30) NOT NULL COMMENT '用户账号',
  `nick_name` VARCHAR(30) NOT NULL COMMENT '用户昵称',
  `review_type` INT(2) NOT NULL COMMENT '反馈问题类型',
  `review_content` VARCHAR(1000) NOT NULL COMMENT '反馈问题内容',
  `review_picture` VARCHAR(500) DEFAULT NULL COMMENT '反馈图片',
  `status` INT(2) NOT NULL COMMENT '状态',
  `create_time` DATETIME DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `handle_by` VARCHAR(32) DEFAULT NULL COMMENT '处理人',
  `handle_time` DATETIME DEFAULT NULL COMMENT '处理时间',
  `dept_id` INT(20) DEFAULT NULL COMMENT '组织结构ID',
  `tenant_id` INT(12) DEFAULT NULL COMMENT '租户ID',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=INNODB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8 COMMENT='帮助中心建议反馈表';
/*------end 08月07号 詹叶俊 帮助中心建议反馈表*/

/*------begin 08月08号 詹叶俊 帮助中心建议反馈表新增处理内容字段*/
ALTER TABLE `hce_review` ADD COLUMN `handle_content` VARCHAR(200) DEFAULT NULL COMMENT '处理内容';
/*------end 08月08号 詹叶俊 帮助中心建议反馈表新增处理内容字段*/

/*------begin 08月19号 詹叶俊 帮助中心建议反馈表修改字段属性和新增评分相关字段*/
ALTER TABLE `hce_review` ADD COLUMN `hce_code` VARCHAR(30) NOT NULL COMMENT '反馈单编码';
ALTER TABLE `hce_review` CHANGE user_name review_name VARCHAR(30) NOT NULL COMMENT '反馈人';
ALTER TABLE `hce_review` DROP nick_name;
ALTER TABLE `hce_review` ADD COLUMN `email` VARCHAR(50) DEFAULT '' COMMENT '用户邮箱';
ALTER TABLE `hce_review` ADD COLUMN `phonenumber` VARCHAR(11) DEFAULT '' COMMENT '手机号码';
ALTER TABLE `hce_review` MODIFY `review_type` INT(2) NOT NULL COMMENT '反馈类型';
ALTER TABLE `hce_review` MODIFY `review_content` VARCHAR(1000) NOT NULL COMMENT '反馈描述';
ALTER TABLE `hce_review` MODIFY `handle_by` VARCHAR(32) DEFAULT NULL COMMENT '处理人';
ALTER TABLE `hce_review` ADD COLUMN `score` FLOAT DEFAULT NULL COMMENT '评分';
ALTER TABLE `hce_review` ADD COLUMN `appraise_content` VARCHAR(1000) DEFAULT NULL COMMENT '评价内容';
ALTER TABLE `hce_review` ADD COLUMN `create_by` VARCHAR(25) DEFAULT NULL COMMENT '创建人';
ALTER TABLE `hce_review` ADD COLUMN `update_by` VARCHAR(25) DEFAULT NULL COMMENT '更新人';
ALTER TABLE `hce_review` ADD COLUMN `update_time` DATETIME DEFAULT NULL COMMENT '更新时间';
/*------end 08月19号 詹叶俊 帮助中心建议反馈表修改字段属性和新增评分相关字段*/

/*------begin 08月19号 韩正义 新增租户和应用关联表*/
CREATE TABLE `sys_tenant_platform` (
  `tenant_id` int(11) NOT NULL DEFAULT '0' COMMENT '租户ID',
  `platform_id` int(11) NOT NULL DEFAULT '0' COMMENT '应用ID',
  `is_default` tinyint(1) DEFAULT '0' COMMENT '是否为默认应用（默认0; 0：否，1：是）',
  PRIMARY KEY (`tenant_id`,`platform_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='租户和应用关联表';
/*------end 08月19号 韩正义 新增租户和应用关联表*/

/*------begin 08月20号 韩正义 平台信息表新增应用图标字段*/
ALTER TABLE `sys_platform` ADD COLUMN `icon` VARCHAR(100) DEFAULT NULL COMMENT '应用图标';
/*------end 08月20号 韩正义 平台信息表新增应用图标字段*/

/*------begin 08月20号 韩正义 租户配置表增加字段*/
ALTER TABLE `sys_tenant_config` ADD COLUMN `middle_type` INT(1) DEFAULT '1' COMMENT '中间页显示类型：0 应用列表 1 菜单列表';
/*------end 08月20号 韩正义 租户配置表增加字段middle_type*/

/*------begin 08月29号 赵金雨 系统访问记录表增加字段*/
ALTER TABLE `sys_logininfor` ADD COLUMN `login_location` VARCHAR(255) DEFAULT NULL COMMENT '登录地点';
ALTER TABLE `sys_logininfor` ADD COLUMN `browser` VARCHAR(50) DEFAULT NULL COMMENT '浏览器类型';
ALTER TABLE `sys_logininfor` ADD COLUMN `os` VARCHAR(50) DEFAULT NULL COMMENT '操作系统';
/*------end 08月29号 赵金雨 系统访问记录表增加字段登录地点,浏览器类型,操作系统*/

/*------begin 09月5号 赵金雨 操作日志表增加字段*/
ALTER TABLE `sys_oper_log` ADD COLUMN `start_time` DATETIME DEFAULT NULL COMMENT '执行开始时间';
ALTER TABLE `sys_oper_log` ADD COLUMN `end_time` DATETIME DEFAULT NULL COMMENT '执行结束时间';
ALTER TABLE `sys_oper_log` ADD COLUMN `consuming_time` BIGINT(20) DEFAULT NULL COMMENT '执行耗时';
ALTER TABLE `sys_oper_log` ADD COLUMN `consuming_time_with_unit` VARCHAR(255) DEFAULT NULL COMMENT '执行耗时毫秒';
/*------end 09月5号 赵金雨 操作日志表增加字段执行开始时间,执行结束时间,执行耗时毫秒*/

/*------begin 09月11号 付宇川 项目信息表修改字段*/
ALTER TABLE `pm_project` MODIFY COLUMN `project_describe` varchar(512) DEFAULT NULL COMMENT '项目描述';
/*------end 09月11号 付宇川 项目信息表修改字段*/

/*------begin 09月19号 付宇川 项目信息表、报告表新增和修改字段*/
ALTER TABLE `pm_project` ADD COLUMN `visible_range` tinyint DEFAULT 1 COMMENT '项目可见范围(1：公开；2：私有，指定人（创建人、负责人、项目成员）可见)';
ALTER TABLE `pm_project` ADD COLUMN `report_file` varchar(2200) DEFAULT NULL COMMENT '报告附件（以逗号隔开）';
ALTER TABLE `pm_project` ADD COLUMN `report_image` varchar(1100) DEFAULT NULL COMMENT '报告图片（以逗号隔开）';
ALTER TABLE `pm_project` MODIFY COLUMN `project_workload` decimal(6,1) DEFAULT NULL COMMENT '项目工作量(计划人/天)';
ALTER TABLE `pm_work_content` MODIFY COLUMN `work_time` decimal(3,1) DEFAULT NULL COMMENT '工时';
ALTER TABLE `pm_work_report` MODIFY COLUMN `total_hours` decimal(3,1) DEFAULT NULL COMMENT '总工时';
/*------end 09月19号 付宇川 项目信息表、报告表新增和修改字段*/